Generate Storage Integration Authorization Materials (V2)
This operation generates provider-specific authorization materials that are required before creating or validating a storage integration.
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
The authentication token should be an API key with appropriate privileges.
The ID of the project.
The ID of the region. The server uses this field to derive the cloud provider.
The bucket, container, or storage name used to generate policies or credentials.
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${BASE_URL}/v2/storageIntegrations/authorizationMaterials" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxx",
"regionId": "aws-us-west-2",
"bucketName": "my-bucket"
}'
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${BASE_URL}/v2/storageIntegrations/authorizationMaterials" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxx",
"regionId": "gcp-us-central1",
"bucketName": "my-gcs-bucket"
}'
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${BASE_URL}/v2/storageIntegrations/authorizationMaterials" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxx",
"regionId": "azure-eastus",
"bucketName": "my-blob-container"
}'
Returns provider-specific authorization materials.
A success response for AWS S3.
Response code.
Returns the AWS S3 authorization materials.
Read-only access policy document.
Read-write access policy document.
IAM policy document for accessing the storage bucket.
RAM policy document for accessing the storage bucket.
Trust policy document for the role to be assumed.
Zilliz Cloud account that needs to be authorized.
External ID used when assuming the role.
Permissions required for the storage integration.
A permission to grant on the GCP bucket. The authorization materials produced for the storage integration cover each listed permission.
Google Cloud service account to be granted access.
Azure credential material for the storage integration.
OIDC issuer URL of the cluster.
Kubernetes namespace of the service account.
Name of the Kubernetes service account.
A success response for GCP GCS.
Response code.
Returns the GCP GCS authorization materials.
The GCP bucket permissions to grant.
A GCP bucket permission to grant for the storage integration.
The Zilliz-managed Google Cloud service account email.
A success response for Azure Blob.
Response code.
Returns the Azure Blob authorization materials.
Azure authorization credential information.
The cluster issuer URL for Azure federated identity.
The Kubernetes namespace used by the Zilliz service account.
The Zilliz service account name.
A failure response.
Response code.
Error message.
{
"code": 0,
"data": {
"readonly": "{...}",
"readwrite": "{...}",
"iamPolicy": "{...}",
"trustPolicy": "{...}",
"zillizAccount": "306787409409",
"externalId": "zilliz-external-AbCdEf12345678"
}
}